/// <reference types="node" />
import { Logger } from '../cli/logger';
declare type Options = {
    readonly cmd: string;
    readonly args?: readonly string[];
    readonly withInteraction?: boolean;
    readonly withDirectOutput?: boolean;
    readonly cwd?: string;
    readonly env?: NodeJS.ProcessEnv;
    readonly log: Logger;
};
declare const exec: ({ cmd, args, withInteraction, withDirectOutput, cwd, env, log, }: Options) => Promise<{
    stdout: string;
    stderr: string;
    output: string;
}>;
export default exec;
