"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireWildcard = require("@babel/runtime-corejs3/helpers/interopRequireWildcard");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.builder = exports.handler = exports.desc = exports.command = void 0;

var _yargs = require("../cli/yargs");

var _analyseTask = _interopRequireWildcard(require("../tasks/analyseTask"));

const command = 'analyse';
exports.command = command;
const desc = 'Run code quality tools';
exports.desc = desc;
const options = {
  group: `${command}-Options`
};
const handler = (0, _yargs.createHandler)(_analyseTask.default);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  only: { ...options,
    choices: _analyseTask.analyseServices,
    describe: 'Run a single code quality tool'
  }
}));
exports.builder = builder;