"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.builder = exports.handler = exports.desc = exports.command = void 0;

var _yargs = require("../cli/yargs");

var _ciTask = _interopRequireDefault(require("../tasks/ciTask"));

const command = 'ci';
exports.command = command;
const desc = 'Run analyse, tests, license and deps commands';
exports.desc = desc;
const handler = (0, _yargs.createHandler)(_ciTask.default);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs);
exports.builder = builder;