"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _toolLib = require("@kettil/tool-lib");

const getInitTemplateVariables = (props, settings, packageName) => {
  /* eslint-disable @typescript-eslint/naming-convention */
  const variables = {
    GITHUB_USERNAME: settings.github.name,
    PACKAGE_LIBRARY: (0, _toolLib.toCamelCase)(packageName),
    PACKAGE_FILENAME: packageName
  };

  if (!props.package || props.cli) {
    variables.BABEL_MODULE_TYPE = 'commonjs';
    variables.BABEL_MODULE_TARGET = 'defaults';
  } else {
    variables.BABEL_MODULE_TYPE = false;
    variables.BABEL_MODULE_TARGET = {
      node: '14'
    };
  }

  return variables;
};

var _default = getInitTemplateVariables;
exports.default = _default;