"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

/* eslint-disable @typescript-eslint/naming-convention */
const licenseCompatibilities = {
  MIT: [// single
  '0BSD', 'Apache-2.0', 'Apache-2.0*', 'Artistic-2.0', 'BSD-2-Clause', 'BSD-3-Clause', 'CC-BY-3.0', 'CC-BY-4.0', 'CC0-1.0', 'ISC', 'MIT', 'MIT*', // https://www.mozilla.org/en-US/MPL/license-policy/
  'MPL-2.0', // https://opendatacommons.org/licenses/by/summary/
  'ODC-By-1.0', 'Public Domain', 'Unlicense', 'WTFPL', // combined
  '(BSD-2-Clause OR MIT)', '(BSD-2-Clause OR MIT OR Apache-2.0)', '(BSD-3-Clause OR GPL-2.0)', 'GPL-3.0-OR-LATER OR MIT', '(MIT OR APACHE-2.0)', '(MIT OR CC0-1.0)', '(WTFPL OR MIT)']
};
var _default = licenseCompatibilities;
exports.default = _default;