"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

const npmRun = async ({
  cwd,
  log
}, {
  script
}) => {
  log.info(`The npm script "${script}" is executed`);
  await (0, _exec.default)({
    cmd: 'npm',
    args: ['run', script],
    cwd,
    log
  });
};

var _default = npmRun;
exports.default = _default;