"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.builder = exports.handler = exports.desc = exports.command = void 0;

var _trim = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/trim"));

var _slice = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/slice"));

var _indexOf = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/index-of"));

var _yargs = require("../cli/yargs");

var _gitTask = _interopRequireDefault(require("../tasks/gitTask"));

var _context;

const command = 'git <hook>';
exports.command = command;
const desc = 'Handler for the git hooks';
exports.desc = desc;
const mode = ['msg', 'commit', 'push'];
const options = {
  group: `${(0, _trim.default)(_context = (0, _slice.default)(command).call(command, 0, Math.max(0, (0, _indexOf.default)(command).call(command, '<')))).call(_context)}-Options`
};
const handler = (0, _yargs.createHandler)(_gitTask.default);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.positional('hook', {
  choices: mode,
  demandOption: true
}).options({
  edit: { ...options,
    type: 'string',
    desc: 'Path to the COMMIT_EDITMSG file (only at hook "msg")'
  }
}));
exports.builder = builder;