"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _analyseTask = _interopRequireDefault(require("./analyseTask"));

var _depsTask = _interopRequireDefault(require("./depsTask"));

var _licenseTask = _interopRequireDefault(require("./licenseTask"));

var _testTask = _interopRequireDefault(require("./testTask"));

const ciTask = async argv => {
  const extendArgv = { ...argv,
    ci: true
  };
  await (0, _analyseTask.default)(extendArgv, {});
  await (0, _testTask.default)(extendArgv, {
    coverage: false
  });
  await (0, _testTask.default)(extendArgv, {
    coverage: true
  });
  await (0, _licenseTask.default)(extendArgv, {});
  await (0, _depsTask.default)(extendArgv, {});
};

var _default = ciTask;
exports.default = _default;